Subject: Re: not db owner?

From: [email-masked] (Paul M. Aoki)
Date: Thu, 25 Aug 94 17:35:18 -0700

N B Idris <[email-masked]> writes:
> I created a database `foo' (version 4.1), some classes in it, and 
> populated them. Everything was OK.
> Then, the next time I tried to access 'foo' via the monitor,
> postgres complained that I was not the db owner! Strange!
> FATAL 1:Aug 25 07:39:07:process userid (848) != database owner (6)

this is not all that strange.  the postmaster (and its child backend
server processes) is currently running with user id 848, which is
probably your user id.  the database files are owned by user id 6,
which is probably that of "postgres".  they need to be the same.  that
is, the server process uid must be the same as that of the owner of
the database files.  assuming that the system was installed by uid 6
(i assume that because uid 6 owns the files), "6" is now stored in the
database as the db superuser's uid and you must now always start the
postmaster with uid 6.
--
  Paul M. Aoki          |  University of California at Berkeley
  [email-masked]  |  Dept. of EECS, Computer Science Division (#1776) 
                        |  Berkeley, CA 94720-1776

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================